Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class InventoryInfoImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.catalog.InventoryInfoImpl

All Implemented Interfaces
  InventoryInfo, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

    public class InventoryInfoImpl

extends BelongingImpl
implements InventoryInfo

Implementation class for the InventoryInfo interface.

See Also
  `InventoryInfo`, `InventoryInfoHome`, Serialized Form

Field Summary
`boolean` | `inStock` Containment: By Value Multiplicity: 1:1
`String` | `shippingTime` Containment: By Value Multiplicity: 1:1
`String` | `specialNotices` Containment: By Value Multiplicity: 1:1

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.InventoryInfo
`IN_STOCK, OUT_OF_STOCK`

Constructor Summary
`InventoryInfoImpl()`

Method Summary
`int` | `compareTo(Object o)` Compare this belonging to another
`boolean` | `getInStock()` Get the value of inStock
`String` | `getShippingTime()` Get the value of shippingTime
`String` | `getSpecialNotices()` Get the value of specialNotices
`String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setInStock(boolean inStock)` Set the value of inStock
`void` | `setShippingTime(String shippingTime)` Set the value of shippingTime
`void` | `setSpecialNotices(String specialNotices)` Set the value of specialNotices
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### shippingTime

    public String shippingTime

  - Containment: By Value
  - Multiplicity: 1:1

### inStock

    public boolean inStock

  - Containment: By Value
  - Multiplicity: 1:1

### specialNotices

    public String specialNotices

  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### InventoryInfoImpl

    public InventoryInfoImpl()

Method Detail

### getShippingTime

    public String getShippingTime()

  Get the value of shippingTime

  Specified by:
    `getShippingTime` in interface `InventoryInfo`
  Returns
    shippingTime.

### setShippingTime

    public void setShippingTime(String shippingTime)

  Set the value of shippingTime

  Specified by:
    `setShippingTime` in interface `InventoryInfo`
  Parameters
    `shippingTime` - shippingTime to be added

### getInStock

    public boolean getInStock()

  Get the value of inStock

  Specified by:
    `getInStock` in interface `InventoryInfo`
  Returns
    inStock.

### setInStock

    public void setInStock(boolean inStock)

  Set the value of inStock

  Specified by:
    `setInStock` in interface `InventoryInfo`
  Parameters
    `inStock` - inStock to be added

### getSpecialNotices

    public String getSpecialNotices()

  Get the value of specialNotices

  Specified by:
    `getSpecialNotices` in interface `InventoryInfo`
  Returns
    specialNotices.

### setSpecialNotices

    public void setSpecialNotices(String specialNotices)

  Set the value of specialNotices

  Specified by:
    `setSpecialNotices` in interface `InventoryInfo`
  Parameters
    `specialNotices` - specialNotices to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved